
import('/lua/sim/AdjacencyBuffs.lua')
import('/lua/sim/CheatBuffs.lua')

BuffBlueprint {
    Name = 'VeterancyHealth',
    DisplayName = 'VeterancyHealth',
    BuffType = 'VETERANCYHEALTH',
    Stacks = 'ALWAYS',
    Duration = -1,
    Affects = {
        MaxHealth = {
            Add = 0,
            Mult = 1.1,
        },
    },
}


BuffBlueprint {
    Name = 'VeterancyRegen',
    DisplayName = 'VeterancyRegen',
    BuffType = 'VETERANCYREGEN',
    Stacks = 'ALWAYS',
    Duration = -1,
    Affects = {
        Regen = {
            Add = 0,
            Mult = 1.1000001,
        },
    },
}


BuffBlueprint {
    Name = 'VeterancyDamage',
    DisplayName = 'VeterancyDamage',
    BuffType = 'VETERANCYDAMAGE',
    Stacks = 'ALWAYS',
    Duration = -1,
    Affects = {
        Damage = {
            Add = 0,
            Mult = 1.1000001,        },
    },
}


BuffBlueprint {
    MaxLevel = 20,
    Name = 'VeterancyDamageArea',
    DisplayName = 'VeterancyDamageArea',
    BuffType = 'VETERANCYDAMAGEAREA',
    Stacks = 'ALWAYS',
    Duration = -1,
    Affects = {
        DamageRadius = {
            Add = 0,
            Mult = 1.0500001,
        },
    },
}


BuffBlueprint {
    MaxLevel = 100,    Name = 'VeterancyRange',
    DisplayName = 'VeterancyRange',
    BuffType = 'VETERANCYRANGE',
    Stacks = 'ALWAYS',
    Duration = -1,
    Affects = {
        MaxRadius = {
            Add = 0,
            Mult = 1.0100001,        },
    },
}


BuffBlueprint {
    MaxLevel = 100,     Name = 'VeterancySpeed',
    DisplayName = 'VeterancySpeed',
    BuffType = 'VETERANCYSPEED',
    Stacks = 'ALWAYS',
    Duration = -1,
    Affects = {
        MoveMult = {
            Add = 0,
            Mult = 1.0100001,         },
    },
}


BuffBlueprint {
    Name = 'VeterancyFuel',
    DisplayName = 'VeterancyFuel',
    BuffType = 'VETERANCYFUEL',
    Stacks = 'ALWAYS',
    Duration = -1,
    Affects = {
        Fuel = {
            Add = 0,
            Mult = 1.0500001,
        },
    },
}

BuffBlueprint {
    Name = 'VeterancyShield',
    DisplayName = 'VeterancyShield',
    BuffType = 'VETERANCYSHIELD',
    Stacks = 'ALWAYS',
    Duration = -1,
    Affects = {
        ShieldHP = {
            Add = 0,
            Mult = 1.1,
        },
        ShieldRegen = {
            Add = 0,
            Mult = 1.100001,
        },
    },
}

BuffBlueprint {
    MaxLevel = 40,
    Name = 'VeterancyVision',
    DisplayName = 'VeterancyVision',
    BuffType = 'VETERANCYVISION',
    Stacks = 'ALWAYS',
    Duration = -1,
    Affects = {
        VisionRadius = {
            Add = 0,
            Mult = 1.02500001,
        },
    },
}

BuffBlueprint {
    MaxLevel = 40,
    Name = 'VeterancyOmniRadius',
    DisplayName = 'VeterancyOmniRadius',
    BuffType = 'VETERANCYOMNIRADIUS',
    Stacks = 'ALWAYS',
    Duration = -1,
    Affects = {
        OmniRadius = {
            Add = 0,
            Mult = 1.02500001,
        },
    },
}

BuffBlueprint {
    MaxLevel = 40,
    Name = 'VeterancyRadar',
    DisplayName = 'VeterancyRadar',
    BuffType = 'VETERANCYRADAR',
    Stacks = 'ALWAYS',
    Duration = -1,
    Affects = {
        RadarRadius = {
            Add = 0,
            Mult = 1.02500001,
        },
    },
}
BuffBlueprint {
    MaxLevel = 40,
    Name = 'VeterancySonar',
    DisplayName = 'VeterancySonar',
    BuffType = 'VETERANCYSONAR',
    Stacks = 'ALWAYS',
    Duration = -1,
    Affects = {
        SonarRadius = {
            Add = 0,
            Mult = 1.02500001,
        },
    },
}

BuffBlueprint {
    Name = 'VeterancyBuildRate',
    DisplayName = 'VeterancyBuildRate',
    BuffType = 'VETERANCYBUILDRATE',
    Stacks = 'ALWAYS',
    Duration = -1,
    Affects = {
        BuildRate = {
            Add = 0,
            Mult = 1.100001,
        },
    },
}

BuffBlueprint {
    Name = 'VeterancyResourceProduction',
    DisplayName = 'VeterancyResourceProduction',
    BuffType = 'VeterancyResourceProduction',
    Stacks = 'ALWAYS',
    Duration = -1,
    Affects = {
        EnergyProductionBuf = {
            Add = 0,
            Mult = 1.200001,
        },
        MassProductionBuf = {
            Add = 0,
            Mult = 1.1000001,
        },
    },
}

BuffBlueprint {
    Name = 'VeterancyRateOfFire',
    DisplayName = 'VeterancyRateOfFire',
    BuffType = 'VETERANCYRATEOFFIRE',
    Stacks = 'ALWAYS',
    Duration = -1,
    Affects = {
        RateOfFireBuf = {
            Add = 0,
            Mult = 1.0100001,         },
    },
}

BuffBlueprint {
    Name = 'VeterancyCommandProduction',
    DisplayName = 'VeterancyCommandProduction',
    BuffType = 'VETERANCYCOMMANDPRODUCTION',
    Stacks = 'ALWAYS',
    Duration = -1,
    MaxLevel = 20,
    Affects = {
        EnergyProductionBuf = {
            Add = 50,             Mult = 1,
        },
        MassProductionBuf = {
            Add = 0.5,             Mult = 1,
        },
    },
}
BuffBlueprint {
    MinLevel = 40,
    MaxLevel = 940,
    Name = 'VeterancySpeed2',
    DisplayName = 'VeterancySpeed2',
    BuffType = 'VETERANCYSPEED2',
    Stacks = 'ALWAYS',
    Duration = -1,
    Affects = {
        MoveMult = {
            Add = 0,
            Mult = 1.0100001,         },
    },
}

BuffBlueprint {
    Name = 'VeterancyStorageBuff',
    DisplayName = 'VeterancyStorageBuff',
    BuffType = 'VETERANCYSTORAGEBUFF',
    Stacks = 'ALWAYS',
    Duration = -1,
    Affects = {
        EnergyStorageBuf = {
            Add = 0,
            Mult = 1.4000001,
        },
        MassStorageBuf = {
            Add = 0,
            Mult = 1.4000001,
        },
    },
}






__moduleinfo.auto_reload = true
